Subject: AVP alignment

From: Yoshihiro Ohba <[email-masked]>
Date: Wed, 20 Aug 2003 13:24:18 -0700

The current PANA specification does not specify a rule to align AVPs.
I think we should specify something about this.  I'd suggest using the
32-bit alignment rule as Diameter does.  Here is the suggested text
(borrowed from Diameter speicfication):

 "Each AVP MUST be padded to align on a 32-bit boundary. A number of zero-
  valued bytes are added to the end of the AVP Data field till a word
  boundary is reached. The length of the padding is not reflected in
  the AVP Length field."

Yoshihiro Ohba

---

From: Ralph Droms <[email-masked]>
Date: Wed, 20 Aug 2003 16:45:19 -0400

Our experience with implementations of DHCP is that alignment of AVPs (DHCP
options) isn't an important issue...

- Ralph